CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2018-1000180

Bouncy Castle BC 1.54 - 1.59, BC-FJA 1.0.0, BC-FJA 1.0.1 and earlier have a flaw in the Low-level interface to RSA key pair generator, specifically RSA Key Pairs generated in low-level API with added certainty may have less M-R tests than expected. This appears to be fixed in versions BC 1.60 beta 4 and later, BC-FJA 1.0.2 and later.
Publish Date : 2018-06-05 Last Update Date : 2019-10-02
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.0
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s)
CWE ID 327

- Products Affected By CVE-2018-1000180

# Product Type Vendor Product Version Update Edition Language
1 Application Bouncycastle Fips Java Api 1.0.1 Version Details Vulnerabilities
2 Application Bouncycastle Legion-of-the-bouncy-castle-java-crytography-api 1.54 Version Details Vulnerabilities
3 Application Bouncycastle Legion-of-the-bouncy-castle-java-crytography-api 1.55 Version Details Vulnerabilities
4 Application Bouncycastle Legion-of-the-bouncy-castle-java-crytography-api 1.56 Version Details Vulnerabilities
5 Application Bouncycastle Legion-of-the-bouncy-castle-java-crytography-api 1.57 Version Details Vulnerabilities
6 Application Bouncycastle Legion-of-the-bouncy-castle-java-crytography-api 1.58 Version Details Vulnerabilities
7 Application Bouncycastle Legion-of-the-bouncy-castle-java-crytography-api 1.59 Version Details Vulnerabilities
8 OS Debian Debian Linux 9.0 Version Details Vulnerabilities
9 Application Netapp Oncommand Workflow Automation - Version Details Vulnerabilities
10 Application Oracle Api Gateway 11.1.2.4.0 Version Details Vulnerabilities
11 Application Oracle Business Process Management Suite 11.1.1.9.0 Version Details Vulnerabilities
12 Application Oracle Business Process Management Suite 12.1.3.0.0 Version Details Vulnerabilities
13 Application Oracle Business Process Management Suite 12.2.1.3.0 Version Details Vulnerabilities
14 Application Oracle Business Transaction Management 12.1.0 Version Details Vulnerabilities
15 Application Oracle Communications Application Session Controller 3.7.1 Version Details Vulnerabilities
16 Application Oracle Communications Application Session Controller 3.8.0 Version Details Vulnerabilities
17 Application Oracle Enterprise Repository 12.1.3.0.0 Version Details Vulnerabilities
18 Application Oracle Managed File Transfer 12.1.3.0.0 Version Details Vulnerabilities
19 Application Oracle Managed File Transfer 12.2.1.3.0 Version Details Vulnerabilities
20 Application Oracle Peoplesoft Enterprise Peopletools 8.55 Version Details Vulnerabilities
21 Application Oracle Peoplesoft Enterprise Peopletools 8.56 Version Details Vulnerabilities
22 Application Oracle Peoplesoft Enterprise Peopletools 8.57 Version Details Vulnerabilities
23 Application Oracle Retail Convenience And Fuel Pos Software 2.8.1 Version Details Vulnerabilities
24 Application Oracle Retail Xstore Point Of Service 7.0 Version Details Vulnerabilities
25 Application Oracle Retail Xstore Point Of Service 7.1 Version Details Vulnerabilities
26 Application Oracle Soa Suite 12.1.3.0.0 Version Details Vulnerabilities
27 Application Oracle Soa Suite 12.2.1.3.0 Version Details Vulnerabilities
28 Application Oracle Webcenter Portal 11.1.1.9.0 Version Details Vulnerabilities
29 Application Oracle Webcenter Portal 12.2.1.3.0 Version Details Vulnerabilities
30 Application Oracle Weblogic Server 12.1.3.0.0 Version Details Vulnerabilities
31 Application Redhat Jboss Enterprise Application Platform 7.1.0 Version Details Vulnerabilities
32 OS Redhat Virtualization 4.0 Version Details Vulnerabilities
33 OS Redhat Virtualization 4.2 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Bouncycastle Fips Java Api 1
Bouncycastle Legion-of-the-bouncy-castle-java-crytography-api 6
Debian Debian Linux 1
Netapp Oncommand Workflow Automation 1
Oracle Api Gateway 1
Oracle Business Process Management Suite 3
Oracle Business Transaction Management 1
Oracle Communications Application Session Controller 2
Oracle Enterprise Repository 1
Oracle Managed File Transfer 2
Oracle Peoplesoft Enterprise Peopletools 3
Oracle Retail Convenience And Fuel Pos Software 1
Oracle Retail Xstore Point Of Service 2
Oracle Soa Suite 2
Oracle Webcenter Portal 2
Oracle Weblogic Server 1
Redhat Jboss Enterprise Application Platform 1
Redhat Virtualization 2

- References For CVE-2018-1000180

https://www.oracle.com/technetwork/security-advisory/cpujul2019-5072835.html
https://www.oracle.com/technetwork/security-advisory/cpujan2019-5072801.html CONFIRM
https://access.redhat.com/errata/RHSA-2018:2425
REDHAT RHSA-2018:2425
https://www.oracle.com/technetwork/security-advisory/cpuapr2019-5072813.html
https://www.debian.org/security/2018/dsa-4233
DEBIAN DSA-4233
https://www.bountysource.com/issues/58293083-rsa-key-generation-computation-of-iterations-for-mr-primality-test
https://www.bouncycastle.org/jira/browse/BJA-694 CONFIRM
https://security.netapp.com/advisory/ntap-20190204-0003/ CONFIRM
https://github.com/bcgit/bc-java/commit/22467b6e8fe19717ecdf201c0cf91bacf04a55ad CONFIRM
https://access.redhat.com/errata/RHSA-2019:0877
REDHAT RHSA-2019:0877
https://access.redhat.com/errata/RHSA-2018:2643
REDHAT RHSA-2018:2643
https://access.redhat.com/errata/RHSA-2018:2428
REDHAT RHSA-2018:2428
https://github.com/bcgit/bc-java/commit/73780ac522b7795fc165630aba8d5f5729acc839 CONFIRM
http://www.securityfocus.com/bid/106567
BID 106567 Bouncy Castle CVE-2018-1000180 Security Weakness Release Date:2019-07-17
https://access.redhat.com/errata/RHSA-2018:2423
REDHAT RHSA-2018:2423
https://access.redhat.com/errata/RHSA-2018:2424
REDHAT RHSA-2018:2424
https://access.redhat.com/errata/RHSA-2018:2669
REDHAT RHSA-2018:2669

- Vulnerability Conditions

Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)

- Metasploit Modules Related To CVE-2018-1000180

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.